<?php

namespace App\Filament\Resources\GenericCardResource\Pages;

use App\Filament\Resources\GenericCardResource;
use Filament\Actions;
use Filament\Resources\Pages\EditRecord;

class EditGenericCard extends EditRecord
{
    protected static string $resource = GenericCardResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\DeleteAction::make(),
            Actions\ForceDeleteAction::make(),
            Actions\RestoreAction::make(),
        ];
    }
}
